Skip to content
Navigation

Readiness reporter report runs

GET
https://api.sureshake.com/v2/reporter/report-runs/readiness

Query parameters

  • entityId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • entityId
      string
      required
      format: uuid
    • reportingIntentId
      string
      required
      maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
    • accountingConnectionId
      string
      required
      format: uuid
    • providerId
      string
      required
      minLength: 1
    • dataFreshnessAt
      string
      required
      format: date-time
    • checkedAt
      string
      required
      format: date-time
    • reportingIntent
      object
      required
      • id
        string
        required
        maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
      • name
        string
        required
        maxLength: 160 · minLength: 1
      • description
        string
        required
        maxLength: 1000 · minLength: 1
      • category
        string
        required
        maxLength: 120 · minLength: 1
      • version
        string
        required
        maxLength: 80 · minLength: 1
      • source
        predefined
        or
        custom
        required
      • forkedFromIntentId
        string
        or null
        required
        maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
      • enabled
        boolean
        required
      • createdAt
        string
        required
        format: date-time
      • updatedAt
        string
        required
        format: date-time
      • entityId
        optional
        string
        or null
        format: uuid
      • schema
        optional
        object
        default: {}
        • goldenDocuments
          optional
          array of
          object
          • id
            string
            required
            maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
          • label
            string
            required
            maxLength: 180 · minLength: 1
          • documentRole
            string
            required
            maxLength: 120 · minLength: 1
          • sourceType
            string
            required
            maxLength: 120 · minLength: 1
          • privacyClassification
            generated_sample
            or
            synthetic_redacted
            or
            redacted_customer_approved
            required
          • fixturePath
            optional
            string
            maxLength: 1000 · minLength: 1
          • artifact
            optional
            object
            • artifactId
              optional
              string
              maxLength: 240 · minLength: 1
            • artifactType
              optional
              string
              maxLength: 120 · minLength: 1
            • storageKey
              optional
              string
              maxLength: 1000 · minLength: 1
            • checksumSha256
              optional
              string
              maxLength: 128 · minLength: 1
            • mimeType
              optional
              string
              maxLength: 160 · minLength: 1
          • expectedOutputSummary
            optional
            string
            maxLength: 2000 · minLength: 1
          • approvalStatus
            optional
            approved
            default: "approved"
          • approvedByUserId
            optional
            string
            maxLength: 160 · minLength: 1
          • approvedAt
            optional
            string
            format: date-time
          • tags
            optional
            array of
            string
            maxLength: 80 · minLength: 1 · default: []
      • authoringState
        optional
        draft
        or
        ready
        default: "ready"
    • accountingConnection
      object
      required
      • id
        string
        required
        format: uuid
      • entityId
        string
        required
        format: uuid
      • providerId
        string
        required
        maxLength: 80 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
      • onboardingSessionId
        string
        or null
        required
        format: uuid
      • connectedAccountId
        string
        or null
        required
        format: uuid
      • status
        not_started
        or
        selected
        or
        authorizing
        or
        connected
        or
        syncing
        or
        synced
        +2 more
        required
      • reportingCadence
        monthly
        or
        quarterly
        or
        annual
        or null
        required
      • hasCredentialRefs
        boolean
        required
      • blocksReportReadiness
        boolean
        required
      • readinessFactorKeys
        array of
        accounting_connection
        or
        initial_sync
        required
      • readinessMilestones
        array of
        accounting_authorization_started
        or
        accounting_connected
        or
        initial_sync_started
        or
        initial_sync_completed
        required
      • failureCode
        string
        or null
        required
        maxLength: 120 · minLength: 1
      • failurePublicMessage
        string
        or null
        required
        maxLength: 500 · minLength: 1
      • retryGuidance
        string
        or null
        required
        maxLength: 500 · minLength: 1
      • selectedAt
        string
        or null
        required
        format: date-time
      • authorizationStartedAt
        string
        or null
        required
        format: date-time
      • connectedAt
        string
        or null
        required
        format: date-time
      • syncStartedAt
        string
        or null
        required
        format: date-time
      • syncedAt
        string
        or null
        required
        format: date-time
      • failedAt
        string
        or null
        required
        format: date-time
      • revokedAt
        string
        or null
        required
        format: date-time
      • createdAt
        string
        required
        format: date-time
      • updatedAt
        string
        required
        format: date-time
      • requiredScopes
        optional
        array of
        string
        minLength: 1 · default: []
      • grantedScopes
        optional
        array of
        string
        minLength: 1 · default: []
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close